<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Model_Amazon_CarrierCode
{
    /**
     * @api
     *
     * @return array
     */
    public function getCarrierCodes()
    {
        $carrierCodes = array();
        $skipRow = true;
        $csvPath = Mage::getModuleDir('data', 'Creativestyle_AmazonCheckout') . DS . 'carriers.csv';
        if (($fileHandle = fopen($csvPath, 'r')) !== false) {
            while (($row = fgetcsv($fileHandle, 0, ',')) !== false) {
                if ($skipRow) {
                    $skipRow = false;
                    continue;
                }

                $carrierCodes[$row[1]] = $row[0];
            }
        }

        return $carrierCodes;
    }
}
