<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Model_Api_Address
    extends Creativestyle_AmazonCheckout_Model_Api_AbstractModel
    implements Creativestyle_AmazonCheckout_Model_Api_AddressInterface
{
    /**
     * @var string
     */
    public $name;

    /**
     * @var string
     */
    public $addressLine1;

    /**
     * @var string
     */
    public $addressLine2;

    /**
     * @var string
     */
    public $addressLine3;

    /**
     * @var string
     */
    public $city;

    /**
     * @var string
     */
    public $county;

    /**
     * @var string
     */
    public $district;

    /**
     * @var string
     */
    public $stateOrRegion;

    /**
     * @var string
     */
    public $postalCode;

    /**
     * @var string
     */
    public $countryCode;

    /**
     * @var string
     */
    public $phoneNumber;

    /**
     * @inheritDoc
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @inheritDoc
     */
    public function getAddressLine1()
    {
        return $this->addressLine1;
    }

    /**
     * @inheritDoc
     */
    public function getAddressLine2()
    {
        return $this->addressLine2;
    }

    /**
     * @inheritDoc
     */
    public function getAddressLine3()
    {
        return $this->addressLine3;
    }

    /**
     * @inheritDoc
     */
    public function getCity()
    {
        return $this->city;
    }

    /**
     * @inheritDoc
     */
    public function getStateOrRegion()
    {
        return $this->stateOrRegion;
    }

    /**
     * @inheritDoc
     */
    public function getPostalCode()
    {
        return $this->postalCode;
    }

    /**
     * @inheritDoc
     */
    public function getCountryCode()
    {
        return $this->countryCode;
    }

    /**
     * @inheritDoc
     */
    public function getPhoneNumber()
    {
        return $this->phoneNumber;
    }
}
