<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

/** @var Creativestyle_AmazonCheckout_Model_Resource_Setup $installer */
$installer = $this;
$installer->startSetup();

$amazonUserIdAttr = Mage::getResourceModel('catalog/eav_attribute')->loadByCode('customer', 'amazon_user_id');

if (!$amazonUserIdAttr->getId()) {
    $installer->addAttribute(
        'customer',
        'amazon_user_id',
        array(
            'type'      => 'varchar',
            'label'     => 'Amazon UID',
            'visible'   => false,
            'required'  => false,
            'unique'    => true
        )
    );
}

$installer->endSetup();
